### Enumeration

# FwupdPlugin FirmwareParseFlags

#### Declaration

    flags FwupdPlugin.FirmwareParseFlags

#### Description [src]

The firmware parse flags.

#### Members

`FU_FIRMWARE_PARSE_FLAG_NONE`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_FIRMWARE_PARSE_FLAG_IGNORE_CHECKSUM`

  Ignore firmware CRCs and checksums.

  - Value: `64`
  - Available since: 2.0.9
`FU_FIRMWARE_PARSE_FLAG_IGNORE_VID_PID`

  Ignore firmware vendor and project checks.

  - Value: `128`
  - Available since: 2.0.9
`FU_FIRMWARE_PARSE_FLAG_NO_SEARCH`

  Do not use heuristics when parsing the image.

  - Value: `256`
  - Available since: 2.0.9
`FU_FIRMWARE_PARSE_FLAG_CACHE_STREAM`

  Keep a reference to the parsed stream.

  - Value: `1024`
  - Available since: 2.0.9
`FU_FIRMWARE_PARSE_FLAG_CACHE_BLOB`

  Keep a reference to the parsed blob in-memory.

  This allows the stream to be closed even when the firmware needs to be re-parsed.

  - Value: `2048`
  - Available since: 2.0.9